<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'meeting',

    /*
     * Modules.
     */
    'modules'   => ['meeting'],

    
    'meeting'       => [
        'model' => [
            'model'                 => \Litecms\Meeting\Models\Meeting::class,
            'table'                 => 'meetings',
            'presenter'             => \Litecms\Meeting\Repositories\Presenter\MeetingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['user_id',  'created_user_id',  'comment'],
            'translatables'         => [],
            'upload_folder'         => 'meeting/meeting',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Meeting',
            'module'    => 'Meeting',
        ],

    ],
];
