<?php

namespace Litecms\Meeting;

use User;

class Meeting
{
    /**
     * $meeting object.
     */
    protected $meeting;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Meeting\Interfaces\MeetingRepositoryInterface $meeting)
    {
        $this->meeting = $meeting;
    }

    /**
     * Returns count of meeting.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.meeting.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->meeting->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\MeetingUserCriteria());
        }

        $meeting = $this->meeting->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('meeting::' . $view, compact('meeting'))->render();
    }
}
