<?php

namespace Litecms\Meeting\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MeetingTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Meeting\Models\Meeting $meeting)
    {
        return [
            'id'                => $meeting->getRouteKey(),
            'key'               => [
                'public'    => $meeting->getPublicKey(),
                'route'     => $meeting->getRouteKey(),
            ], 
            'user_id'           => $meeting->user_id,
            'created_user_id'   => $meeting->created_user_id,
            'comment'           => $meeting->comment,
            'url'               => [
                'public'    => trans_url('meeting/'.$meeting->getPublicKey()),
                'user'      => guard_url('meeting/meeting/'.$meeting->getRouteKey()),
            ], 
            'status'            => trans('app.'.$meeting->status),
            'created_at'        => format_date($meeting->created_at),
            'updated_at'        => format_date($meeting->updated_at),
        ];
    }
}